function s_Folder_Name  = copy_data_to_new_folder

c = clock;
s_c_year =  num2str(c(1)); s_c_mon =  num2str(c(2)); s_c_day =  num2str(c(3)); s_c_hour =  num2str(c(4)); s_c_min =  num2str(c(5)); s_c_sec =  num2str(c(6));
s_case = input('Enter case number. 1 to 6:','s');
s_Time = strcat('case_', s_case, '_', s_c_year, '_', s_c_mon, '_', s_c_day , '_',s_c_hour, '_',s_c_min );

s_Folder_Name = strcat(pwd,'\',s_Time);    
if exist(s_Folder_Name, 'dir') == 0
    mkdir(s_Folder_Name)
end

try
    copyfile('time_data.mat', s_Folder_Name');
catch msg
    report = getReport(msg);
end

try
    copyfile('states_data.mat',s_Folder_Name);
catch
end

try
    copyfile('tau_data.mat',s_Folder_Name);
catch
end

try
    copyfile('current_data.mat',s_Folder_Name);
catch
end

try
    copyfile('gyro_bias_data.mat',s_Folder_Name);
catch
end

try
    copyfile('acc_bias_data.mat',s_Folder_Name);
catch
end

try
    copyfile('biases_actual_data.mat',s_Folder_Name);
catch
end

try
    copyfile('GNSS_data.mat',s_Folder_Name);
catch
end

try
    copyfile('IMU_data.mat',s_Folder_Name);
catch
end

try
    copyfile('pva_hat_data.mat',s_Folder_Name);
catch
end

try
    copyfile('GNSS_bias_data.mat',s_Folder_Name);
catch
end

try
    copyfile('npo_data.mat',s_Folder_Name);
catch
end