n = 10; dt = 0.01; 
time_out = zeros(1,n/dt);
x_t = time;
time = 0; 
x_0  = 0;
x_new = 1;
for k = 1:(n/dt), 
    time = time + dt; 
    time_out(k) = time; 
    x_t(k) = (1 - exp(-1.2*time))*x_new + exp(-1.2*time)*x_0;
end
figure
resize_fig('bias_plot')
plot(time_out, x_t)
grid
xlabel('Time [s]','Interpreter','Latex')
ylabel('x(time)[m]','Interpreter','Latex')
set(gca,'FontSize', 11)
s_fig_file_name = 'exp_step_illustration';
s_fig_path_and_name = strcat(pwd, '\figs\', s_fig_file_name);
export_fig(s_fig_path_and_name, '-pdf','-transparent');