function [var_pos_ref, status] = variance_calculation_and_check( .... 
    meas_buffer, run_signal_check, pos_ref_freeze_limit, pos_ref_hight_var_limit )
    % variance calulation     
    
    % non embedded fucntion caulculation
    %     n = size_buffer;
    %     mean_meas_buffer = mean(meas_buffer);
    %     var_temp = 0;
    %     for k = 1:n
    %         var_temp = var_temp + (meas_buffer(k)^2 - mean_meas_buffer^2); 
    %     end
    %     var_pos_ref = 1/(n-1)*var_temp;
    var_pos_ref = [ ....
    var( meas_buffer(1, :));
    var( meas_buffer(2, :));
    var( meas_buffer(3, :))] ;
    % freeze detection
    if run_signal_check == 1 && (.... 
        var_pos_ref(1) < pos_ref_freeze_limit(1) && ....
        var_pos_ref(2) < pos_ref_freeze_limit(2) && ....
        var_pos_ref(3) < pos_ref_freeze_limit(3) )
%             var_pos_ref(1) < pos_ref_freeze_limit(1) || ....
%             var_pos_ref(2) < pos_ref_freeze_limit(2) || ....
%             var_pos_ref(3) < pos_ref_freeze_limit(3) )
        status = 3; 
    % high variance detection 
    elseif run_signal_check == 1 && (....
        var_pos_ref(1) > pos_ref_hight_var_limit(1) && ....
        var_pos_ref(2) > pos_ref_hight_var_limit(2) && ....
        var_pos_ref(3) > pos_ref_hight_var_limit(3) )
%             var_pos_ref(1) > pos_ref_hight_var_limit(1) || ....
%             var_pos_ref(2) > pos_ref_hight_var_limit(2) || ....
%             var_pos_ref(3) > pos_ref_hight_var_limit(3) )
        status = 4;
    else
        status = 1;
    end
end