function wave_x = wave_rk4(f, x_wave, u, lambda, sigma, w_0, h )

    x_0 = x_wave;

    k_1 = h*feval(f, x_0, u, lambda, sigma, w_0);
    x  = x_0+0.5*k_1;
    k_2 = h*feval(f, x, u, lambda, sigma, w_0);
    x  = x_0+0.5*k_2;
    k_3 = h*feval(f, x, u, lambda, sigma, w_0);
    x  = x_0+k_3;
    k_4 = h*feval(f, x, u, lambda, sigma, w_0);
    
    wave_x = x_0 + (k_1+2*(k_2+k_3)+k_4)/6;
end