function [wild_point, status] = wild_point_check( meas_buffer, pos_meas, pos_ref_wild_point_limit ) 
    mean_meas_buffer = [....
        mean(meas_buffer(1,:));
        mean(meas_buffer(2,:));
        mean(meas_buffer(3,:))];
    std_meas_buffer = [....
        std(meas_buffer(1,:));
        std(meas_buffer(2,:));
        std(meas_buffer(3,:))];
    lower_limit = mean_meas_buffer - pos_ref_wild_point_limit*std_meas_buffer;
    upper_limit = mean_meas_buffer + pos_ref_wild_point_limit*std_meas_buffer;
    % if wild point insert last measurment as current measurment
    % insert voted average instead?
    if check_wild_point( pos_meas, lower_limit, upper_limit ) == 1                 
        wild_point = 1;
        status = 2;
    else
        wild_point = 0;
        status = 1; 
    end
end