mean_noise = 0;
std_noise = 1;
gauss_whit_noise = normrnd(0, 1, 15000,1);
m_n = mean(gauss_whit_noise);
std_n = std(gauss_whit_noise);
x = -4:0.1:4;
f = (   1/(std_n*sqrt(2*pi))   )  *  exp(-0.5*(( x- m_n)/std_n).^2  );

figure
resize_fig( 'bias_plot' )
plot (x,f);
grid on
xlabel('x[m]', 'Interpreter', 'Latex')
ylabel('P(x)', 'Interpreter', 'Latex')
set(gca,'FontSize',11)
s_fig_file_name = 'illustration_noise_distorbution';
hold off
figureHandle = gcf;
set(findall(figureHandle,'type','text'),'fontSize',11)
s_fig_path_and_name = strcat(pwd, '\figs\', s_fig_file_name);
export_fig(s_fig_path_and_name, '-pdf','-transparent');