function resize_fig( fig_type )

% resizeFigAnsSaveFig
% sTypeFig spesifies what type of scaling to be used
% rpy, pos and xy plot is possible
% figFileName sets the file name of the figure
% Then the method saves the figure

set(0,'DefaultTextInterpreter', 'latex')
set(gca,'fontsize',11);
xL = get(gca,'xlabel');
yL = get(gca,'ylabel');
tit = get(gca,'title');
set(xL, 'FontSize', 11) 
set(yL, 'FontSize', 11) 
set(tit, 'FontSize', 11) 

position = get(gcf,'Position');
% outerpos = get(gcf,'OuterPosition');
% borders = outerpos - position;

% xSize = outerpos(3); 
% ySize = outerpos(4);
xSize = position(3);
ySize = position(4);

switch fig_type
    case {'bias_plot', 'wave_spec_plot'}
        xSize = 12;%420;   
        ySize = xSize*0.6;
        
    case {'bias_plot_2'}
        xSize = 12;%420;   
        ySize = xSize*0.75;
    case 'pva_plot'
        xSize = 12.0;   
        ySize = 1.2*xSize;
    case 'simulator_plot'
        xSize = 12;%;591.5302;
        ySize = xSize*0.7;%418.25368;
end
% xSize = 418.25368;
% ySize = 591.5302;


% %set(gcf,'PaperPosition',[xLeft yTop xSize ySize])
set(gcf,'Units','centimeters','Position',[5 5 xSize ySize])

end

