function [y_w, P_w] = weighted_ls( y_1, var_pos_1 , k_1, y_2, var_pos_2, k_2, y_3, var_pos_3, k_3)  
    R_1 = diag(var_pos_1);
    R_2 = diag(var_pos_2);
    R_3 = diag(var_pos_3);
    P_w = inv( k_1*inv(R_1) + k_2*inv(R_2) + k_3*inv(R_3) );
    y_w = P_w*( k_1*inv(R_1)*y_1 + k_2*inv(R_2)*y_2 + k_3*inv(R_3)*y_3 );
%     w_denom = k_1*var_pos_ref_1*var_pos_ref_2 + k_2*var_GNSS_2*var_GNSS_3 + k_3*var_GNSS_1*var_pos_ref_3;
%     w_1 = k_1*( var_pos_ref_2*var_pos_ref_3 )/(w_denom);
%     w_2 = k_2*( var_pos_ref_1*var_pos_ref_3 )/(w_denom);
%     w_3 = k_3*( var_pos_ref_1*var_pos_ref_2 )/(w_denom);
%     y_w = w_1*GNSS_1 + w_2*GNSS_2 + w_3*GNSS_3;
end
